org.apache.commons.codec

## Enum CodecPolicy

- java.lang.Object
- - java.lang.Enum<CodecPolicy>
  - - org.apache.commons.codec.CodecPolicy

- All Implemented Interfaces:
    Serializable, Comparable<CodecPolicy>

      public enum CodecPolicy
      extends Enum<CodecPolicy>

  Defines encoding and decoding policies.
  Since:
    1.15

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LENIENT` The lenient policy.
    `STRICT` The strict policy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CodecPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CodecPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRICT

          public static final CodecPolicy STRICT

      The strict policy. Data that causes a codec to fail should throw an exception.

    - #### LENIENT

          public static final CodecPolicy LENIENT

      The lenient policy. Data that causes a codec to fail should not throw an exception.

  - ### Method Detail

    - #### values

          public static CodecPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodecPolicy c : CodecPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodecPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2020 The Apache Software Foundation. All rights reserved.